com.google.appengine.api.search

## Class DeleteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.appengine.api.search.SearchBaseException
        - - com.google.appengine.api.search.DeleteException

- All Implemented Interfaces:
    java.io.Serializable

      public class DeleteException
      extends SearchBaseException

  Thrown to indicate that a search service failure occurred while deleting objects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service whilst processing a delete operation.
    `DeleteException(OperationResult operationResult, java.util.List<OperationResult> results)` Constructs an exception when some error occurred in the search service whilst processing a delete operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<OperationResult>` | `getResults()`

    - ### Methods inherited from class com.google.appengine.api.search.SearchBaseException

      `getOperationResult`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteException

          public DeleteException(OperationResult operationResult)

      Constructs an exception when some error occurred in the search service whilst processing a delete operation.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure

    - #### DeleteException

          public DeleteException(OperationResult operationResult,
                                 java.util.List<OperationResult> results)

      Constructs an exception when some error occurred in the search service whilst processing a delete operation.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure
        `results` - the list of `OperationResult` where each result is associated with the id of the object that was requested to be deleted

  - ### Method Detail

    - #### getResults

          public java.util.List<OperationResult> getResults()

      Returns:
        the list of `OperationResult` where each result is associated with the id of the object that was requested to be deleted